JUCE: AccessibilityRangedNumericValueInterface Class Reference

JUCE

Public Member Functions | List of all members
AccessibilityRangedNumericValueInterface Class Referenceabstract
juce_gui_basics » accessibility

A value interface that represents a ranged numeric value. More...

`#include <juce_AccessibilityValueInterface.h>`

Inheritance diagram for AccessibilityRangedNumericValueInterface:

## Public Member Functions
bool | isReadOnly () const override=0
| Returns true if the value is read-only and cannot be modified by an accessibility client. More...
double | getCurrentValue () const override=0
| Returns the current value. More...
void | setValue (double newValue) override=0
| Sets the current value to a new value. More...
AccessibleValueRange | getRange () const override=0
| Returns the range. More...
String | getCurrentValueAsString () const final
void | setValueAsString (const String &newValue) final
Public Member Functions inherited from AccessibilityValueInterface
virtual | ~AccessibilityValueInterface ()=default
| Destructor. More...

## Detailed Description

A value interface that represents a ranged numeric value.

## Member Function Documentation

## ◆ isReadOnly()

bool AccessibilityRangedNumericValueInterface::isReadOnly | ( |  | ) | const
| overridepure virtual

Returns true if the value is read-only and cannot be modified by an accessibility client.

See also
  setValueAsString

Implements AccessibilityValueInterface.

## ◆ getCurrentValue()

double AccessibilityRangedNumericValueInterface::getCurrentValue | ( |  | ) | const
| overridepure virtual

Returns the current value.

Implements AccessibilityValueInterface.

## ◆ setValue()

void AccessibilityRangedNumericValueInterface::setValue | ( | double | newValue | ) |
| overridepure virtual

Sets the current value to a new value.

Implements AccessibilityValueInterface.

## ◆ getRange()

AccessibleValueRange AccessibilityRangedNumericValueInterface::getRange | ( |  | ) | const
| overridepure virtual

Returns the range.

Implements AccessibilityValueInterface.

## ◆ getCurrentValueAsString()

String AccessibilityRangedNumericValueInterface::getCurrentValueAsString | ( |  | ) | const
| finalvirtual

Implements AccessibilityValueInterface.

## ◆ setValueAsString()

void AccessibilityRangedNumericValueInterface::setValueAsString | ( | const String & | newValue | ) |
| finalvirtual

Implements AccessibilityValueInterface.

The documentation for this class was generated from the following file:

- juce_AccessibilityValueInterface.h